Microsoft позволява на потребителите на Ubuntu 18.04 да използват VS Code за една година – IT – Новини

Въпреки че обхватът се отнася и за настолната версия 1.86 на VSCode, първоначално това не беше така. Програмата, която спря да работи за всички и беше протестирана, беше VSCode сървър. Създаване на VSCode на базата на предварително изградени двоични файлове, когато искате да извършите отдалечена разработка на друга система.

VSCode Server 1.86, подобно на настолната версия, изисква glibc версия 2.28 или по-нова.
https://code.visualstudio… По-стари Linux дистрибуции

Това ви дава ситуация, в която можете да актуализирате до 1.86 под вашата текуща и актуализирана операционна система в системата на вашия разработчик, но след това не можете да се свържете със сървъра си, защото 1.86 няма съвместими предварително направени двоични файлове.

Това е така, защото сървърите често изпълняват версии с разширена поддръжка за различни Linux дистрибуции. В този конкретен случай това е прозорецът за поддръжка за Red Hat Enterprise Linux Extended Support, който изглежда хвърля ключ в работата и все още е свързан с много по-стара версия на glibc.
(Оказва се, че тази и малката група разработчици, които първоначално обърнаха голямо внимание на проблема, са служители на Amazon. Така че въпросът е колко голям всъщност е проблемът. И каква част от него се дължи на това, че Amazon не актуализира своите нежелани продукти и (или хакнете техния код директно в критични производствени среди, които не могат да бъдат деактивирани за актуализации.)

Фактът, че Tweakers отново измислят огромно заглавие за примамка за кликове, след като вече го посочиха в предишната си статия в коментарите, е най-малкото тъжен. Казано по-ясно: Напълно небрежно и непрофесионално е да се грижите за VSCode по този начин, сякаш нещо не е наред.

READ  Прозорецът на печката е пълен със сажди? Това го прави лесен за почистване!

[Reactie gewijzigd door R4gnax op 7 februari 2024 01:33]

Вашият коментар

Вашият имейл адрес няма да бъде публикуван. Задължителните полета са отбелязани с *